# borg with-lock

    borg [common options] with-lock [options] REPOSITORY COMMAND [ARGS...]

positional arguments
| `REPOSITORY` | repository to lock
| `COMMAND` | command to run
| `ARGS` | command arguments
Common options

## Description

This command runs a user-specified command while the repository lock is held.

It will first try to acquire the lock (make sure that no other operation is running in the repo), then execute the given command as a subprocess and wait for its termination, release the lock and return the user command’s return code as borg’s return code.

Note

If you copy a repository with the lock held, the lock will be present in the copy. Thus, before using borg on the copy from a different host, you need to use “borg break-lock” on the copied repository, because Borg is cautious and does not automatically remove stale locks made by a different host.

# borg break-lock

    borg [common options] break-lock [options] [REPOSITORY]

positional arguments
| `REPOSITORY` | repository for which to break the locks
Common options

## Description

This command breaks the repository and cache locks. Please use carefully and only while no borg process (on any machine) is trying to access the Cache or the Repository.